<template>
<div class="ren bg-flat">
    <div class="col c12 m12 g12">
        <div class="sd avatar lateral animated zoomIn">
            <img src.bind="sesion.Avatar" click.delegate="CambiarImagen()">
            <span class="tooltip">
                <i class="material-icons" click.delegate="CambiarImagen()">add_photo_alternate</i>
                <div class="arriba-der">Cambiar imagen</div>
            </span>
        </div>
        <div class="col c12 m12 g12 pd-ab-15">
            <h1 class="sd--username">
               ${sesion.Nombre}
            </h1>
        </div>
    </div>
    <div class="col c12 m12 g12" if.bind="CambioContrasena">
        <div class="item-formulario">
            <input limpiar value.bind="usuarios.Contrasena & validate" maxlength="20" required>
            <label>*Contraseña</label>
            <span class="borde"></span>
            <span class="indicador"></span> 
        </div>
        <div class="item-formulario">
            <input limpiar value.bind="usuarios.NuevaContrasena & validate" maxlength="20" required>
            <label>*Nueva contraseña</label>
            <span class="borde"></span>
            <span class="indicador"></span> 
        </div>
        <div class="item-formulario">
            <input limpiar value.bind="usuarios.ConfContrasena & validate" maxlength="20" required>
            <label>*Confirmar nueva contraseña</label>
            <span class="borde"></span>
            <span class="indicador"></span> 
        </div> 
    </div> 
    <ul class="horizontal flotar abajo derecha mg-5">
        <!-- <li if.bind="!Cancelar">
            <a class="sd btn tooltip advertencia" click.delegate="cambiarContrasena()">
                <i class="material-icons">vpn_key</i>
                <span class="arriba-der">Cambiar contraseña</span>
            </a>
        </li> -->
        <li if.bind="!Cancelar">
            <a class="sd btn tooltip peligro" click.delegate="cerrarSesion()">
                <i class="material-icons">power_settings_new</i>
                <span class="arriba-der">Cerrar sesión</span>
            </a>
        </li>
        <li if.bind="Cancelar">
            <a class="sd btn tooltip exito" click.delegate="usuarios.CambioContrasena()">
                <i class="material-icons">check</i>
                <span class="arriba-der">Aceptar</span>
            </a>
        </li>
        <li if.bind="Cancelar">
            <a class="sd btn tooltip" click.delegate="CancelarPeticiones()">
                <i class="material-icons">close</i>
                <span class="arriba-der">Cancelar</span>
            </a>
        </li>
    </ul>
</div> 
        
</template>